/* -*- mode: text-mode; -*- */
/* wordlist.js */
/* Mike Wilson, cmikewilsonAgmailDcom */
/* June 10, 2005 - March 31, 2006 */

/* Anyone may copy and/or modify this software without restriction. */

/* word, kana, romaji, english, more english words, source, page, section */

function wordFull    (word) { return word[0] }
function wordKana    (word) { return word[1] }
function wordRomaji  (word) { return word[2] }
function wordEnglish (word) { return word[3] }
function wordSource  (word) { return word[4] }
function wordSection (word) { return word[5] }

WordSources = [
["$B>.6LM[0l!"%Q%=%3%s$N$?$a$N(BLISP$BF~Lg!"#1#9#8#5(B",
  [1.1,
    ["$B8@8l(B", "$B$2$s$4(B", ["gengo"], ["language"]],
    ["$BF~<j(B", "$B$K$e$&$7$e(B", ["nyuushu"], ["procurement"]],
    ["$BAaB.(B", "$B$5$C$=$/(B", ["sassoku"], ["immediately","at once","promptly","now"]],
    ["$BCmJ8(B", "$B$A$e$&$b$s(B", ["chuumon"], ["order"]],
    ["$B0l<0(B", "$B$$$C$7$-(B", ["isshiki"], ["everything","all"]],
    ["-$B<e(B", "-$B$8$c$/(B", ["jaku","-jaku"], ["a little less than"]],
    ["$B2A3J(B", "$B$+$+$/(B", ["kakaku"], ["price"]],
    ["$B$R$b$H$$$/(B", "$B$R$b$H$$$/(B", ["himotoiku"], ["read"]],
    ["$BBgIt(B", "$B$@$$$V(B", ["daibu"], ["great"]],
    ["$B<q(B", "$B$*$b$`$-(B", ["omomuki"], ["appearance"]],
    ["$B8m?#(B", "$B$4$7$g$/(B", ["goshoku"], ["misprint, error","misprint","error"]],
    ["$BF0:n(B", "$B$I$&$5(B", ["dousa"], ["behavior"]],
    ["$B3NG'(B", "$B$+$/$K$s(B", ["kakunin"], ["confirmation","confirm"]],
    ["$B6lO+(B", "$B$/$m$&(B", ["kurou"], ["hardship"]],
    ["$B$J$+$J$+(B", "$B$J$+$J$+(B", ["nakanaka"], ["certainly","definately","rather"]],
    ["$B?7Mh@-(B", "$B$7$s$i$$$;$$(B", ["shinraisei"], ["credibility"]],
    ["$B0l;~(B", "$B$$$A$8(B", ["ichiji"], ["temporarily"]],
    ["$BF~NO(B", "$B$K$e$&$j$g$/(B", ["nyuuryoku"], ["computer input","input"]],
    ["$B8+$$$@$9(B", "$B$_$$$@$9(B", ["miidasu"], ["discover"]],
    ["$BEv;~(B", "$B$H$&$8(B", ["touji"], ["these/those days","these days","those days"]],
    ["$B;n9T:x8m(B", "$B$7$3$&$5$/$4(B", ["shikousakugo"], ["trial and error"]],
    ["$B$+$?$o$i(B", "$B$+$?$o$i(B", ["katawara"], ["while"]],
    ["$B9XF~(B", "$B$3$&$K$e$&(B", ["kounyuu"], ["purchase"]],
    ["$B5[<}(B", "$B$-$e$&$7$e$&(B", ["kyuushuu"], ["absorption"]]
  ],
  [1.2,
    ["$B$H$C$D$-(B", "$B$H$C$D$-(B", ["tottsuki"], ["getting to know","get to know"]],
    ["$B$/$5(B", "$B$/$5(B", ["kusa"], ["grass; local","grass","local"]],
    ["$B$T$C$?$j(B", "$B$T$C$?$j(B", ["pittari"], ["perfectly"]],
    ["$B46A[(B", "$B$+$s$=$&(B", ["kansou"], ["impressions, thoughts","impressions","thoughts"]],
    ["$B0J2<(B", "$B$$$+(B", ["ika"], ["below"]],
    ["$B=R$Y$k(B", "$B$N$Y$k(B", ["noberu"], ["state"]],
    ["$BFbMF(B", "$B$J$$$h$&(B", ["naiyou"], ["contents"]],
    ["$BBg7?(B", "$B$*$*$,$?(B", ["oogata"], ["large size"]],
    ["$BNc(B", "$B$l$$(B", ["rei"], ["examples","example"]],
    ["$B7W;;(B", "$B$1$$$5$s(B", ["keisan"], ["computation","calculation"]],
    ["$B5!2q(B", "$B$-$+$$(B", ["kikai"], ["opportunity, chance","opportunity","chance"]],
    ["$B7C$`(B", "$B$a$0$`(B", ["megumu"], ["benefit, be blessed","benefit","be blessed"]],
    ["$B0lHL(B", "$B$$$C$Q$s(B", ["ippan"], ["ordinary","normal"]],
    ["$BFI<T(B", "$B$I$/$7$c(B", ["dokusha"], ["the reader","reader"]],
    ["$B5-9f(B", "$B$-$4$&(B", ["kigou"], ["symbol"]],
    ["$B0[$J$j(B", "$B$3$H$J$j(B", ["kotonari"], ["vary","varied"]],
    ["$B=i?4<T(B", "$B$7$g$7$s$7$c(B", ["shoshinsha"], ["beginner"]],
    ["$B:.Mp(B", "$B$3$s$i$s(B", ["konran"], ["confusion"]],
    ["$B2r@b(B", "$B$+$$$;$D(B", ["kaisetsu"], ["explanation"]],
    ["$BFH<+(B", "$B$I$/$8(B", ["dokuji"], ["original"]],
    ["$BF3F~(B", "$B$I$&$K$e$&(B", ["dounyuu"], ["introduce"]],
    ["$B4X?4(B", "$B$+$s$7$s(B", ["kanshin"], ["interest, regard","interest","regard"]],
    ["$B3g8L(B", "$B$+$C$3(B", ["kakko"], ["parentheses"]],
    ["$B:.MQ(B", "$B$3$s$h$&(B", ["konyou"], ["mix"]],
    ["$B$5:Y$d$+$J(B", "$B$5$5$d$+$J(B", ["sasayakana"], ["small"]],
    ["$B;w$k(B", "$B$K$k(B", ["niru"], ["resemble"]],
    ["$BNcBj(B", "$B$l$$$@$$(B", ["reidai"], ["examples, exercises","example","exercise","examples","exercises"]],
    ["$BEc(B", "$B$H$&(B", ["tou"], ["tower"]],
    ["$B$[$0$7$k(B", "$B$[$0$7$k(B", ["hogushiru"], ["loosen; disentangle","loosen","disentangle","untangle"]],
    ["$B1~MQ(B", "$B$*$&$h$&(B", ["ouyou"], ["practical, applied","applied","practical"]],
    ["$B8+Ev$?$k(B", "$B$_$"$?$k(B", ["miataru"], ["find"]],
    ["$B2?8N(B", "$B$J$<(B", ["naze"], ["why"]],
    ["$B4X?t(B", "$B$+$s$9$&(B", ["kansuu"], ["function"]],
    ["$B<oN`(B", "$B$7$e$k$$(B", ["shurui"], ["variety","various"]],
    ["$B5!G=(B", "$B$-$N$&(B", ["kinou"], ["process, workings","process","workings"]],
    ["$B6qBNE*$J(B", "$B$0$?$$$F$-$J(B", ["gutaitekina"], ["tangible, concrete","tangible","concrete"]],
    ["$B;V8~(B", "$B$7$3$&(B", ["shikou"], ["intention, aim","intention","aim","intent"]],
    ["$B$J$9(B", "$B$J$9(B", ["nasu"], ["solve, make, accomplish","solve","make","accomplish"]],
    ["$B4J7i(B", "$B$+$s$1$D(B", ["kanketsu"], ["conciseness"]],
    ["$B$9$0$l$?(B", "$B$9$0$l$?(B", ["sugureta"], ["excellent"]],
    ["$B<B:](B", "$B$8$C$5$$(B", ["jissai"], ["real, actual","real","actual"]],
    ["$B;H$$9~$J$9(B", "$B$D$+$$$3$J$9(B", ["tsukaikonasu"], ["can handle, manage","can handle","manage"]],
    ["$B>\:Y(B", "$B$7$g$&$5$$(B", ["shousai"], ["details"]],
    ["$BIa5Z(B", "$B$U$-$e$&(B", ["fukyuu"], ["dissemenate", "dissemenation"]],
    ["$B8=>u(B", "$B$2$s$8$g$&(B", ["genjou"], ["present situation","current situation"]],
    ["$B@:$7$$(B", "$B$/$o$7$$(B", ["kuwashii"], ["detailed"]],
    ["$B$-$o$a$k(B", "$B$-$o$a$k(B", ["kiwameru"], ["get at"]],
    ["$BM-8z(B", "$B$f$&$3$&(B", ["yuukou"], ["effectiveness"]],
    ["$BF|>o(B", "$B$K$A$8$g$&(B", ["nichijou"], ["everyday"]],
    ["$B=P$/$o$9(B", "$B$G$/$o$9(B", ["dekuwasu"], ["come across"]],
    ["$B2r$/(B", "$B$H$/(B", ["toku"], ["unravel"]],
    ["$B;vNc(B", "$B$8$l$$(B", ["jirei"], ["example, precedent","examples","example","precedent"]]
  ],
  [1.3,
    ["$B3X=,(B", "$B$,$/$7$e$&(B", ["gakushuu"], ["learning, study","learning","study"]],
    ["$B8@5Z(B", "$B$2$s$-$e$&(B", ["genkyuu"], ["reference"]],
    ["$B2=$5$l$k(B", "$B$+$5$l$k(B", ["kasareru"], ["change, convert","change","convert"]],
    ["$BF3F~(B", "$B$I$&$K$e$&(B", ["dounyuu"], ["introduce"]],
    ["$B$*$5$a$k(B", "$B$*$5$a$k(B", ["osameru"], ["include, stow away","include","stow away"]],
    ["$BLTA3(B", "$B$b$&$<$s(B", ["mouzen"], ["resolutely"]],
    ["$BM/$/(B", "$B$o$/(B", ["waku"], ["boil, seethe, be hatched","boil","seethe","be hatched"]],
    ["$B:"(B", "$B$3$m(B", ["koro"], ["time"]],
    ["$B?M9)CNG=(B", "$B$8$s$3$&$A$N$&(B", ["jinkouchinou"], ["artificial intelligence","AI"]],
    ["$B4X?4(B", "$B$+$s$7$s(B", ["kanshin"], ["interest"]],
    ["$B9b$^$k(B", "$B$?$+$^$k(B", ["takamaru"], ["rise"]],
    ["$B$+$-$?$F$k(B", "$B$+$-$?$F$k(B", ["kakitateru"], ["stir up"]],
    ["$B:GBg(B", "$B$5$$$@$$(B", ["saidai"], ["largest"]],
    ["$BF05!(B", "$B$I$&$-(B", ["douki"], ["motive, incentive","motive","incentive"]],
    ["$BHFMQ(B", "$B$O$s$h$&(B", ["hanyou"], ["multipurpose"]],
    ["$B<B8=(B", "$B$8$D$2$s(B", ["jitsugen"], ["fruition, materialization","fruition","materialization"]],
    ["$BEv$j(B", "$B$"$?$j(B", ["atari"], ["in the neighborhood of"]],
    ["$B=q$-49$($k(B", "$B$+$-$+$($k(B", ["kakikaeru"], ["rewrite"]],
    ["$B9b@-G=(B", "$B$3$&$;$$$N$&(B", ["kouseinou"], ["highly efficient","efficient"]],
    ["$B2=$5$l$k(B", "$B$+$5$l$k(B", ["kasareru"], ["is changed, converted","is changed","is converted"]],
    ["$B3+H/(B", "$B$+$$$O$D(B", ["kaihatsu"], ["develop"]],
    ["$BBPOC(B", "$B$?$$$o(B", ["taiwa"], ["interactive, dialog, conversation","interactive","dialog","conversation"]],
    ["$B2a5n(B", "$B$+$3(B", ["kako"], ["past"]],
    ["$BMxMQ(B", "$B$j$h$&(B", ["riyou"], ["use"]],
    ["$B3J9%(B", "$B$+$C$3$&(B", ["kakkou"], ["form"]],
    ["$BL\I8(B", "$B$b$/$R$g$&(B", ["mokuhyou"], ["target, objective","target","objective"]],
    ["$B$7$+$b(B", "$B$7$+$b(B", ["shikamo"], ["further"]],
    ["$BL^O@(B", "$B$b$A$m$s(B", ["mochiron"], ["naturally, of course","naturally","of course"]],
    ["$B$5$((B", "$B$5$((B", ["sae"], ["even"]],
    ["$B$H$K$+$/(B", "$B$H$K$+$/(B", ["tonikaku"], ["anyhow"]],
    ["$B<hAH$_(B", "$B$H$j$/$_(B", ["torikumi"], ["match, bout, wrestle, tackle","match","bout","wrestle","tackle"]],
    ["$B=>Mh(B", "$B$8$e$&$i$$(B", ["juurai"], ["heretofore, existing","heretofore","existing"]],
    ["$BK\3JE*$J(B", "$B$[$s$+$/$F$-$J(B", ["honkakutekina"], ["fundamental"]],
    ["$BM6$$(B", "$B$5$=$$(B", ["sasoi"], ["temptation"]],
    ["$B;~4|(B", "$B$8$-(B", ["jiki"], ["time"]],
    ["$BG>N#(B", "$B$N$&$j(B", ["nouri"], ["mind, memory","memory","mind"]],
    ["$B$R$i$a$/(B", "$B$R$i$a$/(B", ["hirameku"], ["flash"]],
    ["$BD)@o(B", "$B$A$g$&$;$s(B", ["chousen"], ["challenge"]],
    ["$B$7$+$1$k(B", "$B$7$+$1$k(B", ["shikakeru"], ["prompt"]],
    ["$BITHw(B", "$B$U$S(B", ["fubi"], ["deficiency"]],
    ["$B8+<u$1$k(B", "$B$_$&$1$k(B", ["miukeru"], ["come across"]],
    ["$B$-$A$s$H(B", "$B$-$A$s$H(B", ["kichinto"], ["exactly, perfectly","exactly","perfectly"]],
    ["$B$9$k$H(B", "$B$9$k$H(B", ["suruto"], ["then"]],
    ["$BAH9~(B", "$B$/$_$3$_(B", ["kumikomi"], ["included"]],
    ["$BMW$9$k$K(B", "$B$h$&$9$k$K(B", ["yousuruni"], ["in short, ...","in short"]],
    ["$BH/A[(B", "$B$O$C$=$&(B", ["hassou"], ["concept"]],
    ["$B7P83(B", "$B$1$$$1$s(B", ["keiken"], ["experience"]],
    ["$B3F<o(B", "$B$+$/$7$e(B", ["kakushu"], ["each kind"]],
    ["$B:F5"E*(B", "$B$5$$$-$F$-(B", ["saikiteki"], ["recursive"]],
    ["$BDj5A(B", "$B$F$$$.(B", ["teigi"], ["definition","define"]],
    ["$BFs?JLZ(B", "$B$K$7$s$-(B", ["nishinki"], ["cons, pair","cons","pair"]],
    ["$B9=B$(B", "$B$3$&$>$&(B", ["kouzou"], ["structure, framework","structure","framework"]],
    ["$B<h$j07$&(B", "$B$H$j$"$D$+$&(B", ["toriatsukau"], ["handle, manage","handle","manage"]],
    ["$BG=NO(B", "$B$N$&$j$g$/(B", ["nouryoku"], ["ability"]],
    ["$B$?$+$a$k(B", "$B$?$+$a$k(B", ["takameru"], ["improve"]],
    ["$B=EMW(B", "$B$8$e$&$h$&(B", ["juuyou"], ["principle"]],
    ["$BCe<B(B", "$B$A$c$/$8$D(B", ["chakujitsu"], ["steadily"]],
    ["$B@Q$_>e$2$k(B", "$B$D$_$"$2$k(B", ["tsumiageru"], ["accumulate"]],
    ["$B$7$?$,$k(B", "$B$7$?$,$k(B", ["shitagaru"], ["follow"]],
    ["$BL\I8(B", "$B$b$/$R$g$&(B", ["mokuhyou"], ["objective"]],
    ["$BDxEY(B", "$B$F$$$I(B", ["teido"], ["extent, level","extent","level"]]
  ],
  [1.4,
    ["$B$/$/$k(B", "$B$/$/$k(B", ["kukuru"], ["in parentheses"]],
    ["$BJ8;z(B", "$B$b$8(B", ["moji"], ["letter, character","character","letter"]],
    ["$B=8$k(B", "$B$"$D$^$k(B", ["atsumaru"], ["gather"]],
    ["$BJ#;((B", "$B$U$/$6$D(B", ["fukuzatsu"], ["complex"]],
    ["$B6q9g(B", "$B$0$"$$(B", ["guai"], ["style"]],
    ["$B$d$?$i$K(B", "$B$d$?$i$K(B", ["yatarani"], ["lavishly"]],
    ["$B8MOG$&(B", "$B$H$^$I$&(B", ["tomadou"], ["lose one's bearings"]],
    ["$B?tM}(B", "$B$9$&$j(B", ["suuri"], ["Mathematics"]],
    ["$BO@M}(B", "$B$m$s$j(B", ["ronri"], ["logic"]],
    ["$B3NN)(B", "$B$+$/$j$D(B", ["kakuritsu"], ["establishment"]],
    ["$BHyJ,(B", "$B$S$V$s(B", ["bibun"], ["differential calculus"]],
    ["$BCeA[(B", "$B$A$c$/$=$&(B", ["chakusou"], ["idea"]],
    ["$B$D$+$`(B", "$B$D$+$`(B", ["tsukamu"], ["grasp, catch","grasp","catch"]],
    ["$BI8=`8l(B", "$B$R$g$&$8$e$s$4(B", ["hyoujungo"], ["standard language"]],
    ["$B40@.(B", "$B$+$s$;$$(B", ["kansei"], ["finished"]],
    ["$B5-21(B", "$B$-$*$/(B", ["kioku"], ["memory"]],
    ["$BAG;R(B", "$B$=$7(B", ["soshi"], ["chips"]],
    ["$BDcN|2=(B", "$B$F$$$l$s$+(B", ["teirenka"], ["become cheap"]],
    ["$B85G/(B", "$B$,$s$M$s(B", ["gannen"], ["first year"]],
    ["$B4D6-(B", "$B$,$s$-$g$&(B", ["gankyou"], ["environment"]],
    ["$B?^7A(B", "$B$:$1$$(B", ["zukei"], ["diagram, figure, image","diagram","figure","image"]],
    ["$B=hM}(B", "$B$7$g$j(B", ["shori"], ["processing, procedure","processing","procedure"]],
    ["$B<+A3(B", "$B$7$<$s(B", ["shizen"], ["nature, natural","nature","natural"]],
    ["$B8!>Z(B", "$B$1$s$7$g$&(B", ["kenshou"], ["verification"]],
    ["$BJ*BN(B", "$B$V$C$?$$(B", ["buttai"], ["solid object"]],
    ["$BG'<1(B", "$B$K$s$7$-(B", ["ninshiki"], ["recognition"]],
    ["$B35G0(B", "$B$,$$$M$s(B", ["gainen"], ["concept"]],
    ["$B8;(B", "$B$_$J$b$H(B", ["minamoto"], ["source"]],
    ["$B<($9(B", "$B$7$a$9(B", ["shimesu"], ["show"]],
    ["$BAL$k(B", "$B$5$+$N$\$k(B", ["sakanoboru"], ["retrace the past"]],
    ["$BM-MQ$J(B", "$B$f$&$h$&$J(B", ["yuuyouna"], ["useful"]],
    ["$B;W9M(B", "$B$7$3$&(B", ["shikou"], ["thought"]],
    ["$BF;6q(B", "$B$I$&$0(B", ["dougu"], ["tool"]],
    ["$BM?$($k(B", "$B$"$?$($k(B", ["ataeru"], ["provide"]],
    ["$B$O$7$j(B", "$B$O$7$j(B", ["hashiri"], ["early"]],
    ["$B4pAC(B", "$B$-$=(B", ["kiso"], ["foundation"]],
    ["$BH/E8$9$k(B", "$B$O$C$F$s$9$k(B", ["hattensuru"], ["develop, extend","develop","extend"]],
    ["$B$?$:$5$o$k(B", "$B$?$:$5$o$k(B", ["tazusawaru"], ["take part in"]],
    ["$B=y!9$K(B", "$B$8$g$8$g$K(B", ["jojoni"], ["gradually, steadily, slowly","gradually","steadily","slowly"]],
    ["$B<BNO(B", "$B$8$D$j$g$/(B", ["jitsuryoku"], ["reliability, efficiency","reliability","efficiency"]],
    ["$BC_$($k(B", "$B$?$/$o$($k(B", ["takuwaeru"], ["save up"]],
    ["$B5;=Q(B", "$B$.$8$e$D(B", ["gijutsu"], ["technology"]],
    ["$B6C0[E*(B", "$B$-$g$&$$$F$-(B", ["kyouiteki"], ["phenomenal"]],
    ["$BFMA3(B", "$B$H$D$<$s(B", ["totsuzen"], ["suddenly"]],
    ["$B8D?M(B", "$B$3$8$s(B", ["kojin"], ["individual"]],
    ["$B=q:X(B", "$B$7$g$5$$(B", ["shosai"], ["library"]],
    ["$BHt$S9~$`(B", "$B$H$S$3$`(B", ["tobikomu"], ["jump into"]],
    ["$B6C$/(B", "$B$*$I$m$/(B", ["odoroku"], ["be surprised"]],
    ["$B;~E@(B", "$B$8$F$s(B", ["jiten"], ["occasion"]],
    ["$B$9$G$K(B", "$B$9$G$K(B", ["sudeni"], ["already"]],
    ["$BN"IU$1(B", "$B$&$i$:$1(B", ["urazuke"], ["proof"]],
    ["$B4qL/$5(B", "$B$-$_$g$&$5(B", ["kimyousa"], ["strangeness"]],
    ["$B>h$j1[$($k(B", "$B$N$j$3$($k(B", ["norikoeru"], ["surmount"]],
    ["$B?-$9(B", "$B$N$9(B", ["nosu"], ["stretch, extend","stretch","extend"]]
  ],
  [1.5,
    ["$BJ,Ln(B", "$B$V$s$d(B", ["bunya"], ["field, area","field","area"], 1, 1.5, 0],
    ["$BG'CN(B", "$B$K$s$A(B", ["ninchi"], ["recognition"]],
    ["$B?4M}3X(B", "$B$7$s$j$,$/(B", ["shinrigaku"], ["psychology"]],
    ["$B=tJ,Ln(B", "$B$7$g$V$s$d(B", ["shobunya"], ["multiple disciplines"]],
    ["$B;n$_$k(B", "$B$3$3$m$_$k(B", ["kokoromiru"], ["attempt"]],
    ["$B$^$9$^$9(B", "$B$^$9$^$9(B", ["masumasu"], ["increasingly"]],
    ["$B2CB.$9(B", "$B$+$=$/$9(B", ["kasokusu"], ["accelerate"]],
    ["$B$a$0$k(B", "$B$a$0$k(B", ["meguru"], ["about"]],
    ["$B9q1D(B", "$B$3$/$($$(B", ["kokuei"], ["government operated"]],
    ["$BBg<j(B", "$B$*$*$F(B", ["oote"], ["big corporation"]],
    ["$BF19q(B", "$B$I$&$3$/(B", ["doukoku"], ["that country"]],
    ["$BM9@/>J(B", "$B$f$&$;$$$7$g$&(B", ["yuuseishou"], ["post office department","post office"]],
    ["$BDL?.(B", "$B$D$&$7$s(B", ["tsuushin"], ["communication"]],
    ["$BAm6I(B", "$B$=$&$-$g$/(B", ["sokyoku"], ["overseas headquarters"]],
    ["$B6&F1(B", "$B$-$g$&$I$&(B", ["kyoudou"], ["cooperative","coop"]],
    ["$B@lMQ(B", "$B$;$s$h$&(B", ["senyou"], ["private, personal","private","personal"]],
    ["$B7hDj$9$k(B", "$B$1$C$F$$$9$k(B", ["ketteisuru"], ["decide"]],
    ["$BIY;NDL(B", "$B$U$8$D(B", ["fujitsu"], ["FUJITSU"]],
    ["$B7P:Q(B", "$B$1$$$6$$(B", ["keizai"], ["economy, economics","economy","economics"]],
    ["$B?7$?$K(B", "$B$"$i$?$K(B", ["aratani"], ["make new"]],
    ["$B>&IJ(B", "$B$7$g$&$R$s(B", ["shouhin"], ["merchandise"]],
    ["$B9-9p(B", "$B$3$&$3$/(B", ["koukoku"], ["advertisement"]],
    ["$B7G:\(B", "$B$1$$$5$$(B", ["keisai"], ["publish, insert","publish","insert"]],
    ["$B9=@.(B", "$B$3$&$;$$(B", ["kousei"], ["comprise, composition","comprise","composition"]],
    ["$BK\3JE*$J(B", "$B$[$s$+$/$F$-$J(B", ["honkakutekina"], ["proprietary"]],
    ["$B0lNc(B", "$B$$$A$l$$(B", ["ichirei"], ["one instance"]],
    ["$B@)8f(B", "$B$;$$$.$g(B", ["seigyo"], ["control"]],
    ["$B@\B3(B", "$B$;$D$>$/(B", ["setsuzoku"], ["connect"]],
    ["$B@lLgE*$J(B", "$B$;$s$b$s$F$-$J(B", ["senmontekina"], ["specialized"]],
    ["$BK]Lu(B", "$B$[$s$d$/(B", ["honyaku"], ["translation"]],
    ["$B@_7W(B", "$B$;$C$1$$(B", ["sekkei"], ["design"]],
    ["$B0eNE(B", "$B$$$j$g$&(B", ["iryou"], ["medical"]],
    ["$B?GCG(B", "$B$7$s$@$s(B", ["shindan"], ["diagnosis"]],
    ["$BB?J}LL(B", "$B$?$[$&$a$s(B", ["tahoumen"], ["multiple directions"]],
    ["$BJQ?H(B", "$B$X$s$7$s(B", ["henshin"], ["disguise"]],
    ["$B@_CV$9$k(B", "$B$;$C$A$9$k(B", ["setchisuru"], ["find, establish","find","establish"]],
    ["$B<j85$K(B", "$B$F$b$H$K(B", ["temotoni"], ["at hand"]],
    ["$B@lLg2H%7%9%F%`(B", "$B$;$s$b$s$+%7%9%F%`(B", ["senmonkashisutemu"], ["expert system"]],
    ["$B:n@.$9$k(B", "$B$5$/$;$$$9$k(B", ["sakuseisuru"], ["make"]],
    ["$B$9$J$o$A(B", "$B$9$J$o$A(B", ["sunawachi"], ["that is to say, ...","that is to say"]],
    ["$B65<x(B", "$B$-$g$&$8$e(B", ["kyouju"], ["professor"]],
    ["$B@_N)$9$k(B", "$B$;$D$j$D$9$k(B", ["setsuritsusuru"], ["find, establish","find","establish"]],
    ["$B;X<((B", "$B$7$7(B", ["shishi"], ["indication"]],
    ["$B=>$&(B", "$B$7$?$,$&(B", ["shitagau"], ["comply with"]],
    ["$BO+NO(B", "$B$m$&$j$g$/(B", ["rouryoku"], ["labor"]]
  ]
],
/* Ashby, Janet. Read Real Japanese. 1991 */
["$B?9t$;R!"F($7$?5{$OBg$-$+$C$?(B (Ashby, Janet. Read Real Japanese. 1991)",
  [1,
    ["$BF($,$9(B", "$B$K$,$9(B", ["nigasu"], ["let get away"]],
    ["$BJL$l$k(B", "$B$o$+$l$k(B", ["wakareru"], ["break up", "split up"]],
    ["$B85!9(B", "$B$b$H$b$H(B", ["motomoto"], ["from the beginning"]],
    ["$BNx0&(B", "$B$l$s$"$$(B", ["renai"], ["true love", "actual love", "love"]],
    ["$B7k$S$D$/(B", "$B$`$9$S$D$/(B", ["musubitsuku"], ["closely linked", "closely connected"]],
    ["$BIW(B", "$B$*$C$H(B", ["otto"], ["husband"]],
    ["$B@$4V$K=P$9(B", "$B$;$1$s$K$@$9(B", ["sekennidasu"], ["send out into the world","send out into society"]],
    ["$BCQ$:$+$7$$(B", "$B$O$:$+$7$$(B", ["hazukashii"], ["embarrassed", "to be embarrassed"]],
    ["$B?MJ*(B", "$B$8$s$V$D(B", ["jinbutsu"], ["personality, status, appearance", "personality", "status", "appearance", "ability"]],
    ["$BJ*<AE*$K(B", "$B$V$C$7$D$F$-$K(B", ["busshitsutekini"], ["physical, material", "physical","material"]],
    ["$B0l@8(B", "$B$$$C$7$g$&(B", ["isshou"], ["a lifetime","lifetime"]],
    ["$BJ]>c(B", "$B$[$7$g$&(B", ["hoshou"], ["guarantee, security","guarantee","security"]],
    ["$BKv(B", "$B$9$((B", ["sue"], ["the end; the future","the end","end","the future","future"]],
    ["$B%"%Q%?$b%(%/%\(B", "$B%"%Q%?$b%(%/%\(B", ["apatamoekubo"], ["love is blind"]],
    ["$B$"$j$($k(B", "$B$"$j$($k(B", ["arieru"], ["can be"]],
    ["$B@h9T(B", "$B$;$s$3$&(B", ["senkou"], ["ahead"]],
    ["$B>r7o(B", "$B$8$g$&$1$s(B", ["jouken"], ["condition, terms","condition","terms"]],
    ["$B3XNr(B", "$B$,$/$l$-(B", ["gakureki"], ["academic career","school background"]],
    ["$B<}F~(B", "$B$7$e$&$K$e$&(B", ["shuunyuu"], ["income","earnings"]],
    ["$B2C$($k(B", "$B$/$o$($k(B", ["kuwaeru"], ["add to","add"]],
    ["$BI,?\(B", "$B$R$C$9(B", ["hissu"], ["requirement","need"]],
    ["$B4mW|(B", "$B$-$0(B", ["kigu"], ["fear, misgiving","fear","misgiving"]],
    ["$BJz$/(B", "$B$$$@$/(B", ["idaku"], ["hold, have","hold","have"]],
    ["$B$$$:$l(B", "$B$$$:$l(B", ["izure"], ["sometime, anyhow, whichever, all","sometime","sometimes","anyhow","whichever","all"]]
/*
    ["", "", [""], [""]],
*/
  ]
]
];


var SourceSections = [];

function readWordSources (wordsources) {
    var wordList = [];
    for (var i in wordsources) {
	var sourceId=lookupSource(wordsources[i][0]);
	var sections = wordsources[i].slice(1);
	var srcSecs = [];
	for (var j in sections) {
	    var sectionId=lookupSection(sections[j][0]);
	    srcSecs.push(sectionId);
	    var words=sections[j].slice(1);
	    for (var k in words) {
	        var word = words[k];
	        word[4] = sourceId;
		word[5] = sectionId;
	        wordList.push(word);
            }
	SourceSections.push([sourceId, srcSecs]);
        }
    }
    return wordList;
}


var SectionIDs = [];
var SectionID = 1;

function lookupSection (name) {
    /* convert a section (like 4.11) into an integer */
    if (! SectionIDs[name]) {
        SectionIDs[name] = SectionID;
        SectionID += 1;
    }
    return SectionIDs[name];
}

function sectionName (id) {
    for (name in SectionIDs)
	if (SectionIDs[name] == id)
	    return name;
    alert("Unknown id given to SectionName");
}


var SourceIDs = [];
var SourceID = 1;

function lookupSource (name) {
    /* convert a source (like "Brooks, Fred. Mythical ...") into an integer */
    if (! SourceIDs[name]) {
        SourceIDs[name] = SourceID;
        SourceID += 1;
    }
    return SourceIDs[name];
}

function sourceName (id) {
    for (name in SourceIDs)
	if (SourceIDs[name] == id)
	    return name;
    alert("Unknown id given to SourceName");
}
